#!/usr/bin/env cwl-runner

cwlVersion: v1.2
class: Workflow

requirements: 
  SubworkflowFeatureRequirement: {}

inputs:
  inKallistoResults: Directory
  inMetadataFile: File
  inMetadataSample: string
  inMetadataFactorList: string[]
  inMetadataDataCol: string
  resultsoutdir: string

steps: 
  sleuth:
    run: ../../workflows/sleuth/workflow.cwl
    in:
      inKallistoResults: inKallistoResults
      inMetadataFile: inMetadataFile
      inMetadataSample: inMetadataSample
      inMetadataFactorList: inMetadataFactorList
      inMetadataDataCol: inMetadataDataCol
      finaloutdir: resultsoutdir
    out: [ sleuth_outdir ]

outputs:
 outdir:
    type: Directory
    outputSource: sleuth/sleuth_outdir

$namespaces:
  s: https://schema.org/
  edam: http://edamontology.org/

$schemas:
  - https://schema.org/version/latest/schemaorg-current-https.rdf
  - http://edamontology.org/EDAM_1.18.owl

s:author:
  - class: s:Person
    s:name: Dominik Brilhaus
    s:identifier: https://orcid.org/0000-0001-9021-3197